# pandas.arrays.DatetimeArray

class `pandas.arrays.``DatetimeArray`(values, dtype=dtype('<M8[ns]'), freq=None, copy=False)

  Pandas ExtensionArray for tz-naive or tz-aware datetime data.

  New in version 0.24.0.

  Warning

  DatetimeArray is currently experimental, and its API may change without warning. In particular, `DatetimeArray.dtype` is expected to change to always be an instance of an `ExtensionDtype` subclass.

  Parameters:

  values : Series, Index, DatetimeArray, ndarray

  > The datetime data.

  > For DatetimeArray values (or a Series or Index boxing one), dtype and freq will be extracted from values, with precedence given to

  dtype : numpy.dtype or DatetimeTZDtype

  > Note that the only NumPy dtype allowed is ‘datetime64[ns]’.

  freq : str or Offset, optional

  copy : bool, default False

  > Whether to copy the underlying array of values.

  Attributes

  None |

  Methods

  None |

Scroll To Top